import type { ObjectId } from "mongodb";
import type DBResource from "./DBResource";
import type Building from "./Building";
import type Ship from "./Ship";
import type User from "./User";

export default interface Planet {
    _id: ObjectId,
    owner: User,
    name: string,
    fields: number,
    resources: Array<DBResource>,
    buildings: Array<Building>,
    ships: Array<Ship>,
}