import type { ObjectId } from "mongodb";
import type Research from "./Research";
import type Planet from "./Planet";

export default interface User {
    _id: ObjectId;
    username: string;
    email: string;
    password: string;
    lastLogin: Date;
    research: Array<Research>;
    planets: {
        partial: boolean;
        data: Array<Planet>;
    };
    createdAt: Date;
    updatedAt: Date;
}